package com.zaojiao.app.feat.design

import androidx.compose.runtime.Composable

/**
 *  空状态
 *
 *  ```kt
 *     EmptyState.NoMessage()
 *  ```
 *
 *  [NoMessage]: 无消息
 *  [NoFollow]: 无关注
 *  [NoSearchResult]: 无搜索结果
 */
object EmptyState {
    @Composable
    fun NoMessage() {

    }

    /**
     *  无关注
     */
    @Composable
    fun NoFollow() {

    }

    /**
     *  无搜索结果
     */
    @Composable
    fun NoSearchResult() {

    }

    /**
     *  无活动
     */
    @Composable
    fun NoActivity() {

    }

    /**
     *  无学习
     */
    @Composable
    fun NoLearning() {

    }

    /**
     *  无评论
     */
    @Composable
    fun NoComment() {

    }
}